Bug 656601 - Please Update Spec File to use %ghost on files in /var/run and /var/lock
Summary: Please Update Spec File to use %ghost on files in /var/run and /var/lock
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: icecast
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL: http://lists.fedoraproject.org/piperm...
Whiteboard:
Depends On:
Blocks: 827166
TreeView+ depends on / blocked
 
Reported: 2010-11-23 23:31 UTC by Lennart Poettering
Modified: 2012-05-31 19:39 UTC (History)
2 users (show)

Fixed In Version: icecast-2.3.2-6.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-24 13:39:42 UTC
Type: ---


Attachments (Terms of Use)

Description Lennart Poettering 2010-11-23 23:31:17 UTC
Your package icecast appears to include a file in /var/run or /var/lock. With an upcoming change in Rawhide these directories will now be mounted as tmpfs. For details about this change please consult http://lists.fedoraproject.org/pipermail/devel-announce/2010-November/000726.html For your package this means that you need add %ghost to all files that are placed in either of these two directories. Please make sure to make this change in time for the F15 cycle. For details about %ghost see http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-GHOST-DIRECTIVE , for more information on the F15 feature see the feature page https://fedoraproject.org/wiki/Features/var-run-tmpfs . If your package already uses %ghost on these files, feel free to close this bug report right-away. Sorry for this mass bug filing, and if you have any further questions, don't hesitate to ask on fedora-devel or ask me personally. Thank you, Lennart

Comment 1 Fedora Update System 2012-02-28 09:46:17 UTC
icecast-2.3.2-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/icecast-2.3.2-7.fc17

Comment 2 Petr Pisar 2012-03-01 15:12:34 UTC
I turned out ghosting the files is bad idea. Delivering tmpfiles configuration is enough to fix this issue.

Comment 3 Fedora Update System 2012-03-01 15:17:41 UTC
icecast-2.3.2-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/icecast-2.3.2-6.fc16

Comment 4 Fedora Update System 2012-03-01 16:13:54 UTC
icecast-2.3.2-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/icecast-2.3.2-6.fc15

Comment 5 Fedora Update System 2012-03-06 20:46:48 UTC
icecast-2.3.2-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2012-03-17 23:34:37 UTC
icecast-2.3.2-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2012-03-17 23:50:57 UTC
icecast-2.3.2-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.